﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Scrum.Web.Models.UI
{
    
    public class ProjectSelectorModel
    {
        public List<int> SelectedProjects { get; set; }

        public List<ProjectSelectorProjectModel> Projects { get; set; }
    }

    public class ProjectSelectorProjectModel
    {
        [Display(Name = "Identificador")]
        public int ProjectId { get; set; }

        [Display(Name = "Nom curt")]
        public string ShortName { get; set; }

        [Display(Name = "Nom")]
        public string Name { get; set; }

    }
}